# Update Related Party Application

Endpoint: PATCH /api/v1/business-applications/{application_id}/related-party-applications/{related_party_application_id}/
Version: Version: cf52545e
Security: HTTPBearer

## Path parameters:

  - `application_id` (string, required)

  - `related_party_application_id` (string, required)

## Header parameters:

  - `x-jiko-idempotency` (string, required)

  - `x-jiko-signature` (string, required)

## Request fields (application/json):

  - `name` (any)

  - `name.first_name` (string, required)
    First Name

  - `name.middle_name` (any)
    Middle Name

  - `name.last_name` (string, required)
    Last Name

  - `address` (any)

  - `address.street_address` (string, required)
    Street address

  - `address.street_address2` (any)
    Apartment, Suite, Box number, etc.

  - `address.city` (string, required)
    City / Town

  - `address.postal_code` (string, required)
    Postal code / ZIP code

  - `address.state` (any)
    State (Postal Abbreviations. Example: "AL", "NJ", "OH")

  - `address.country` (string, required)
    A ISO-3166 Alpha-2 country code (Abbreviated. Example: "US")

  - `date_of_birth` (any)

  - `identification_number` (any)

  - `identification_number.identification_number` (string, required)

  - `identification_number.issuing_country` (any)
    A ISO-3166 Alpha-2 country code (Abbreviated. Example: "US")

  - `identification_number.identification_type` (string, required)
    Type of identification provided in the `identification_number` field. The options are
* `SSN`: Social security number
* `PASSPORT`: A passport number
* `INTERNATIONAL_ID`: A government-issued national identity card. **Note:** `INTERNATIONAL_ID` type needs to be enabled. Please contact your Jiko representative. Selecting this value may prevent automatic onboarding and require manual review.

**Note:** This field will be made mandatory in a future release. Currently defaults to `SSN`.
    Enum: "SSN", "PASSPORT", "INTERNATIONAL_ID"

  - `phone_number` (any)

  - `title` (any)

  - `roles` (any)

  - `ownership_percentage` (any)
    The related party's ownership stake, as a string parseable to a number between 0 and 1 (e.g. `"0.51"` for 51%).

  - `citizenship` (any)

  - `email` (any)

## Response 200 fields (application/json):

  - `name` (any)

  - `name.first_name` (string, required)
    First Name

  - `name.middle_name` (any)
    Middle Name

  - `name.last_name` (string, required)
    Last Name

  - `address` (any)

  - `address.street_address` (string, required)
    Street address

  - `address.street_address2` (any)
    Apartment, Suite, Box number, etc.

  - `address.city` (string, required)
    City / Town

  - `address.postal_code` (string, required)
    Postal code / ZIP code

  - `address.state` (any)
    State (Postal Abbreviations. Example: "AL", "NJ", "OH")

  - `address.country` (string, required)
    A ISO-3166 Alpha-2 country code (Abbreviated. Example: "US")

  - `date_of_birth` (any)

  - `identification_number` (any, required)

  - `identification_number.identification_number` (string, required)

  - `identification_number.issuing_country` (any)
    A ISO-3166 Alpha-2 country code (Abbreviated. Example: "US")

  - `identification_number.identification_type` (string, required)
    Enum: "SSN", "PASSPORT", "INTERNATIONAL_ID", "DRIVERS_LICENSE"

  - `phone_number` (any)

  - `title` (any)

  - `roles` (any)

  - `ownership_percentage` (any)
    The related party's ownership stake, as a string parseable to a number between 0 and 1 (e.g. `"0.51"` for 51%).

  - `citizenship` (any)

  - `email` (any)

  - `id` (string, required)

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `detail.input` (any)

  - `detail.ctx` (object)

